maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Marco Mistroni" <mmistr...@gmail.com>
Subject Re: Surefire and UnsupportedClassVersionError
Date Tue, 23 May 2006 15:15:52 GMT
hello again,

try to use this


<repositories>
    <repository>
      <id>apache.snapshots</id>
      <url>http://cvs.apache.org/maven-snapshot-repository</url>
      <snapshots>
        <enabled>true</enabled>
      </snapshots>
    </repository>
  </repositories>
  <pluginRepositories>
    <pluginRepository>
      <id>apache.snapshots</id>
      <url>http://cvs.apache.org/maven-snapshot-repository</url>
      <snapshots>
        <enabled>true</enabled>
      </snapshots>
    </pluginRepository>
  </pluginRepositories>

HTH
 marco

On 5/23/06, Adam Hardy <Adam.Hardy@nomadsoft.com> wrote:
>
> Sorry, but could you help me sort this out first? I obviously have
> something wrong with my repository declarations. I cannot get mvn to
> download 2.2-SNAPSHOT. It prefers 2.0.
>
> Where is 2.2-SNAPSHOT meant to be online? Or should I download it and
> install it myself?
>
> I tried it with this repository config as well as with none:
>
>   <repositories>
>     <repository>
>       <id>Maven snapshots</id>
>       <url>http://snapshots.maven.codehaus.org/maven2</url>
>       <snapshots>
>         <enabled>true</enabled>
>       </snapshots>
>       <releases>
>         <enabled>false</enabled>
>       </releases>
>     </repository>
>     <repository>
>       <releases>
>         <enabled>true</enabled>
>       </releases>
>       <snapshots>
>         <enabled>false</enabled>
>       </snapshots>
>       <id>central</id>
>       <name>Maven Repository Switchboard</name>
>       <layout>default</layout>
>       <url>http://repo1.maven.org/maven2</url>
>     </repository>
>   </repositories>
>
> The <pluginRepositories> node looks the same.
>
>
>
> -----Original Message-----
> From: Marco Mistroni [mailto:mmistroni@gmail.com]
> Sent: 23 May 2006 15:22
> To: Maven Users List
> Subject: Re: Surefire and UnsupportedClassVersionError
>
> hi  Adam,
> could you try 2.2-SNAPSHOT for surefire and see if that fixes it?
>
> frankly i have no ideaon why is failing, but the 2.2-s is working fine 4
> me..
>
> hth
> marco
>
> On 5/23/06, Adam Hardy <Adam.Hardy@nomadsoft.com> wrote:
> >
> > I have just set up Maven 2.0.4 on a new machine with JDK-1.5.0_06 and
> I
> > am running 'mvn test' on a small pilot project with java 1.5 code. I
> > have source and target = 1.5 in my POM (see below).
> >
> > mvn falls over on surefire with a UnsupportedClassVersionError
> >
> > [INFO] Surefire report directory:
> > C:\Projects\cortex\back-end\target\surefire-reports
> > org.apache.maven.surefire.booter.SurefireExecutionException:
> > com/cortex/base/domain/card/CardFinderTest (Unsupported major.minor
> > version 49.0); nested except
> > is java.lang.UnsupportedClassVersionError:
> > com/cortex/base/domain/card/CardFinderTest (Unsupported major.minor
> > version 49.0)
> >
> >
> > After searching the list archives and googling on this, I still cannot
> > find a solution.
> >
> > There was an announcement on the list 2006-05-14 that surefire 2.2 has
> > been released but specifying version 2.2 in my POM doesn't help and I
> > cannot find it on the repositories. It seems there is only 2.0.
> Perhaps
> > 2.2 will help but I can't see how to get it.
> >
> > I saw another message on the list
> >
> >
> http://marc.theaimsgroup.com/?l=turbine-maven-user&m=114831704529929&w=2
> >
> > where the exact same problem occurred but the original poster signed
> off
> > saying they would wipe the surefire directory and see if that helps.
> > However they did not report back. More significantly, I wiped my
> > surefire jars and cleaned the whole project and have source and target
> > specified as 1.5 but to no avail.
> >
> > What could the problem be?
> >
> > Thanks
> > Adam
> >
> > <project xmlns="http://maven.apache.org/POM/4.0.0"
> >
> > xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> >
> > xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
> > http://maven.apache.org/maven-v4_0_0.xsd">
> >
> > <modelVersion>4.0.0</modelVersion>
> >
> > <groupId>com.foo.bar</groupId>
> >
> > <artifactId>foo</artifactId>
> >
> > <packaging>pom</packaging>
> >
> > <version>1.0-SNAPSHOT</version>
> >
> > <name>The whole of foo</name>
> >
> > <organization>
> >
> > <name>d</name>
> >
> > <url>http://www.foo.com</url>
> >
> > </organization>
> >
> >
> >
> > <repositories>
> >
> > <repository>
> >
> > <id>Maven snapshots</id>
> >
> > <url>http://snapshots.maven.codehaus.org/maven2</url>
> >
> > <snapshots>
> >
> > <enabled>true</enabled>
> >
> > </snapshots>
> >
> > <releases>
> >
> > <enabled>false</enabled>
> >
> > </releases>
> >
> > </repository>
> >
> > <repository>
> >
> > <releases>
> >
> > <enabled>true</enabled>
> >
> > </releases>
> >
> > <snapshots>
> >
> > <enabled>false</enabled>
> >
> > </snapshots>
> >
> > <id>central</id>
> >
> > <name>Maven Repository Switchboard</name>
> >
> > <layout>default</layout>
> >
> > <url>http://repo1.maven.org/maven2</url>
> >
> > </repository>
> >
> > </repositories>
> >
> > <pluginRepositories>
> >
> > <pluginRepository>
> >
> > <id>Maven Snapshots</id>
> >
> > <url>http://snapshots.maven.codehaus.org/maven2/</url>
> >
> > <snapshots>
> >
> > <enabled>true</enabled>
> >
> > </snapshots>
> >
> > <releases>
> >
> > <enabled>false</enabled>
> >
> > </releases>
> >
> > </pluginRepository>
> >
> > <pluginRepository>
> >
> > <releases>
> >
> > <enabled>true</enabled>
> >
> > </releases>
> >
> > <snapshots>
> >
> > <enabled>false</enabled>
> >
> > </snapshots>
> >
> > <id>central</id>
> >
> > <name>Maven Repository Switchboard</name>
> >
> > <layout>default</layout>
> >
> > <url>http://repo1.maven.org/maven2</url>
> >
> > </pluginRepository>
> >
> > </pluginRepositories>
> >
> >
> >
> > <modules>
> >
> > <module>back-end</module>
> >
> > <module>gui</module>
> >
> > <module>standalone</module>
> >
> > </modules>
> >
> >
> >
> > <build>
> >
> > <plugins>
> >
> > <plugin>
> >
> > <groupId>org.apache.maven.plugins</groupId>
> >
> > <artifactId>maven-compiler-plugin</artifactId>
> >
> > <configuration>
> >
> > <source>1.5</source>
> >
> > <target>1.5</target>
> >
> > </configuration>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <groupId>org.apache.maven.plugins</groupId>
> >
> > <artifactId>maven-surefire-plugin</artifactId>
> >
> > <version>2.2</version>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <groupId>org.codehaus.mojo</groupId>
> >
> > <artifactId>cobertura-maven-plugin</artifactId>
> >
> > <executions>
> >
> > <execution>
> >
> > <goals>
> >
> > <goal>clean</goal>
> >
> > <goal>check</goal>
> >
> > </goals>
> >
> > </execution>
> >
> > </executions>
> >
> > </plugin>
> >
> > </plugins>
> >
> > </build>
> >
> > <reporting>
> >
> > <plugins>
> >
> > <plugin>
> >
> > <groupId>org.codehaus.mojo</groupId>
> >
> > <artifactId>taglist-maven-plugin</artifactId>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <groupId>org.apache.maven.plugins</groupId>
> >
> > <artifactId>maven-javadoc-plugin</artifactId>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <groupId>org.codehaus.mojo</groupId>
> >
> > <artifactId>jxr-maven-plugin</artifactId>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <!-- Code rules verification report -->
> >
> > <groupId>org.apache.maven.plugins</groupId>
> >
> > <artifactId>maven-pmd-plugin</artifactId>
> >
> > <configuration>
> >
> > <targetjdk>1.4</targetjdk>
> >
> > <!--
> >
> > <rulesets>
> >
> > <ruleset>/rulesets/basic.xml</ruleset>
> >
> > <ruleset>/rulesets/controversial.xml</ruleset>
> >
> > </rulesets>
> >
> > <format>xml</format>
> >
> > -->
> >
> > <linkXref>true</linkXref>
> >
> > <sourceEncoding>utf-8</sourceEncoding>
> >
> > <minimumTokens>100</minimumTokens>
> >
> > </configuration>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <groupId>org.apache.maven.plugins</groupId>
> >
> > <artifactId>
> >
> > maven-project-info-reports-plugin
> >
> > </artifactId>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <!-- if uses issue then requires scm setup -->
> >
> > <groupId>org.codehaus.mojo</groupId>
> >
> > <artifactId>changes-maven-plugin</artifactId>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <groupId>org.apache.maven.plugins</groupId>
> >
> > <artifactId>maven-checkstyle-plugin</artifactId>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <!-- created from the sandbox -->
> >
> > <groupId>org.codehaus.mojo</groupId>
> >
> > <artifactId>cobertura-maven-plugin</artifactId>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <!-- Similarity analysis report based upon the Simian tool -->
> >
> > <groupId>org.codehaus.mojo</groupId>
> >
> > <artifactId>simian-report-maven-plugin</artifactId>
> >
> > <version>1.0-SNAPSHOT</version>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <groupId>org.codehaus.mojo</groupId>
> >
> > <artifactId>jdepend-maven-plugin</artifactId>
> >
> > <version>2.0-beta-1-SNAPSHOT</version>
> >
> > </plugin>
> >
> > <plugin>
> >
> > <groupId>org.apache.maven.plugins</groupId>
> >
> > <artifactId>maven-surefire-report-plugin</artifactId>
> >
> > <version>2.2</version>
> >
> > </plugin>
> >
> > </plugins>
> >
> > </reporting>
> >
> > <dependencies>
> >
> > <dependency>
> >
> > <groupId>junit</groupId>
> >
> > <artifactId>junit</artifactId>
> >
> > <version>3.8.1</version>
> >
> > <scope>test</scope>
> >
> > </dependency>
> >
> > <dependency>
> >
> > <groupId>org.easymock</groupId>
> >
> > <artifactId>easymock</artifactId>
> >
> > <version>2.0</version>
> >
> > <scope>test</scope>
> >
> > </dependency>
> >
> > </dependencies>
> >
> > </project>
> >
> >
> >
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
> For additional commands, e-mail: users-help@maven.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message